// YAFF is yet another force-field code.
// Copyright (C) 2011 Toon Verstraelen <Toon.Verstraelen@UGent.be>,
// Louis Vanduyfhuys <Louis.Vanduyfhuys@UGent.be>, Center for Molecular Modeling
// (CMM), Ghent University, Ghent, Belgium; all rights reserved unless otherwise
// stated.
//
// This file is part of YAFF.
//
// YAFF is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// YAFF is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <http://www.gnu.org/licenses/>
//
// --


#ifndef YAFF_DLIST_H
#define YAFF_DLIST_H

#include "cell.h"

typedef struct {
  double dx, dy, dz;  // relative vector coordinates.
  long i, j;          // involved atoms. vector points from i to j.
  double gx, gy, gz;  // derivative of energy towards relative vector coordinates.
} dlist_row_type;

void dlist_forward(double *pos, cell_type *unitcell, dlist_row_type* deltas, long ndelta);
void dlist_back(double *gpos, double *vtens, dlist_row_type* deltas, long ndelta);

#endif
